package com.ym.mec.common.log.dal.dao;

import java.util.List;
import java.util.Map;

import com.ym.mec.common.log.dal.model.AuditLog;

public interface AuditLogDao {

	int delete(Long id);

	int insert(AuditLog auditLog);

	AuditLog get(Long id);

	int update(AuditLog auditLog);

	/**
	 * 查询记录数
	 * @param params
	 * @return
	 */
	public int queryCount(Map<String, Object> params);

	/**
	 * 查询对象列表
	 * @param params
	 * @return
	 */
	public List<AuditLog> queryPage(Map<String, Object> params);
}